%define	name	xfce-restore-mbr
%define	version	0.1
%define	release	%mkrel	2

Summary:	XFCE Re-install MBR from Livecd.
Summary(de):	Re-installieren des MBR von der Livecd.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Other
Source0:	%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
URL:		http://pclinuxos.com/
Obsoletes:	redo-lilo
Requires:	os-prober
Requires:	gksu
Conflicts:	restore-mbr
Conflicts:	redo-mbr
Obsoletes:	restorembr

%description
xfce version of redo-mbr
Re-install MBR from Livecd.

%description -l de
xfce-Version von redo-mbr
Re-installieren des MBR von der Livecd.

%prep

%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 xfce-restore-mbr  $RPM_BUILD_ROOT/%{_sbindir}

mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/restorembr.desktop << EOF
[Desktop Entry]
Name=XFCE Restore MBR
Name[de]=MBR-Wiederherstellung
Exec=gksu -l %{_sbindir}/xfce-restore-mbr
Comment=Restore Master Boot Record
Comment[de]=Wiederherstellung des Master Boot Record (MBR)
Icon=boot_init_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=System;X-MandrivaLinux-System-Configuration-BootandInit;
NotShowIn=KDE
EOF



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_sbindir}/xfce-restore-mbr
%{_datadir}/applications/restorembr.desktop

%changelog
* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.1-2pclos2012
- rebuild

* Tue Oct 12 2010 Sproggy <desproggster@gmail.com> 0.1-1pclos2010
- XFCE version of redo-MBR 
- modifications by Sproggy

* Wed Jul 07 2010 Neal <nealbrks0 at gmail dot com> 0.1-1pclos2010
- LXDE version of redo-MBR 
- modifications by Neal

